Bug 1043927 - [RFE] Support Docker Registry within Satellite
Summary: [RFE] Support Docker Registry within Satellite
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Content Management
Version: 6.1.0
Hardware: Unspecified
OS: Unspecified
medium
medium vote
Target Milestone: Unspecified
Assignee: Katello Bug Bin
QA Contact: Elyézer Rezende
URL:
Whiteboard:
Keywords: FutureFeature, Tracking, Triaged
Depends On: 1117964 1149296
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-12-17 12:59 UTC by james labocki
Modified: 2017-12-15 20:07 UTC (History)
14 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2015-08-12 16:05:14 UTC


Attachments (Terms of Use)

Description james labocki 2013-12-17 12:59:43 UTC
This is a RFE to support a private docker registry within Satellite. The use case would be so that users could push and pull docker images from Satellite.

Should this be done through a plugin to pulp to unify package storage and docker image storage alongside VM image storage?

Comment 1 RHEL Product and Program Management 2013-12-17 13:29:23 UTC
Since this issue was entered in Red Hat Bugzilla, the release flag has been
set to ? to ensure that it is properly evaluated for this release.

Comment 4 Bryan Kearney 2014-10-30 14:55:06 UTC
Will use this as the tracker bug for Docker Bugs and Requirements.

Comment 9 sthirugn@redhat.com 2015-07-16 19:28:49 UTC
This RFE is asking for a private docker registry in Satellite.

Using current satellite 6.1 workflow user can
1. sync docker content
2. use sat6 ui/hammer cli to create containers using synced images

I am going to close this RFE.  Please create new bugzillas for additional feature requests.

Comment 11 Bryan Kearney 2015-08-12 16:05:14 UTC
This bug was fixed in Satellite 6.1.1 which was delivered on 12 August, 2015.

Comment 12 dsutherland1492 2017-12-15 20:07:00 UTC
This should not be closed.  Currently today, Satellite sudo-docker-registries do not support docker search nor docker push queries.  Until this is resolved, this case should be reopened


Note You need to log in before you can comment on or make changes to this bug.